#import <Foundation/Foundation.h>

/**
 Bus event emitted whenever a contact from user's Adress Book is in chat domain (registered) but was not previously detected. Event bus listeners (see `PSHBusProvider`) must implement the following method for event awareness:
 
    -(void)onShouldRefreshContactListBusEvent:(NSNotification*)notification
    {
        PSHShouldRefreshContactListBusEvent* event = (PSHShouldRefreshContactListBusEvent*) notification.object;
    }
 */
@interface PSHShouldRefreshContactListBusEvent : NSObject

@end
